Bug 136345 - UI: "Reset" in a dialog's Transparency tab resets to the last applied Area value, which creates confusion
Summary: UI: "Reset" in a dialog's Transparency tab resets to the last applied Area va...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Object-Fill Area-Fill-Tab Paragraph-Dialog Styles-Dialog
  Show dependency treegraph
 
Reported: 2020-08-31 21:23 UTC by Telesto
Modified: 2023-01-09 16:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-08-31 21:23:13 UTC
Description:
UI: Transparency preview gone after pressing reset

Steps to Reproduce:
1. Open Writer
1. Sidebar -> Paragraph styles -> Default paragraph style 
2. Right click -> Modify
3. Area tab -> Click Gradient button
4. Switch to Transparency tab 
5. Press Reset

Actual Results:
No preview

Expected Results:
Still preview


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 1e0cfd5662d95cea84e80e4fe10d52c3b1101ae6
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 sdc.blanco 2021-02-28 00:30:51 UTC
@Telesto -- now you can confirm my extension of your report.

0. Open New Document; get to Transparency tab of a Paragraph Style dialog.
   Result:  Notice that preview is "blank"
1. Switch to Area tab, select any tab (except for none), notice Preview.
2. Switch back to Transparency.
   Result:  the selection shown in "Preview" in Area is shown as "Preview"
            in Transparency (for any of the non-None tabs in Area).
3. Press "Reset"
   Result:  the Preview is "blank"  (this happens for all non-"None" tabs
            in Area.  [this confirms the OP and extends it to all non-"None"
            tabs in Area]

Now go further to understand the source of the problem.

4. Switch to Area tab, select a tab (e.g., Pattern) and press "Apply"
5. Now repeat steps 2 and 3.
   Result:  the preview in Transparency will "reset" to what was "applied" 
            in the Area tab (e.g., the pattern if "Pattern" was used).

In sum:  "Reset" in "Transparency" resets to the "last applied" Area.  When nothing has been saved for Area, it "resets" to "blank" (which is what motivated the present bug report).  If something was applied in the Area tab, then the
Transparency tab will "reset" to that value, regardless of which tab is currently selected in Area.

However -- if you use "Apply" in Transparency -- with an "unapplied" Area value, then *both* the "Area" and the "transparency" are applied. 

IOW, the transparency tab is inviting/allowing you to "test" transparency values with an *unapplied* area value, where both can be saved simultaneously with "Apply" in Transparency.  When you want to "reset" the Transparency tab to get back to where you started -- then "transparency" does reset its values, but it also "resets" the Area in the preview to the currently saved value for Area.

Probably what is needed is for the "preview" field for "transparency" to not "reset" to the currently saved Area value, but to use whatever is currently selected in Area, even if not saved.  That would respect the affordances of the interface.

Tested with: 
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: e60bebd4c5257b0f592d27c74399de1498ac725b
CPU threads: 8; OS: Windows 10.0 Build 19041; UI render: Skia/Raster; VCL: win
Comment 2 sdc.blanco 2021-02-28 00:41:59 UTC
(In reply to sdc.blanco from comment #1)

Sorry - important clarification - to more readily see the effect. 

> 4. Switch to Area tab, select a tab (e.g., Pattern) and press "Apply"
> 5. Select another Area tab (e.g., Gradient)
> 6. Now repeat steps 2 and 3.
>    Result:  the preview in Transparency will "reset" to what was "applied" 
>             in the Area tab (e.g., the pattern if "Pattern" was used).
Comment 3 Stéphane Guillou (stragu) 2023-01-09 16:25:20 UTC
Reproduced as described in description and comment 1 (although I don't have an Apply button), with:

Version: 7.6.0.0.alpha0+ (X86_64) / LibreOffice Community
Build ID: 8ae84bb5566e12df64236a116b9d1889d6f5f052
CPU threads: 8; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded

This same "resetting of settings outside the transparency tab" is seen elsewhere, e.g. in the Area dialog for a shape, the Page style dialog, etc.
Hard to pick a couple of meta bugs...